Menu

## Editor

### Interfaces, Classes, Traits and Enums

Field
  Field definitions for the DataTables Editor.
Format
  Formatter methods for the DataTables Editor
Join
  Join table class for DataTables Editor.
Mjoin
  The `Mjoin` class extends the `Join` class with the join data type set to 'array', whereas the `Join` default is `object` which has been rendered obsolete by the `Editor->leftJoin()` method. The API API is otherwise identical.
Options
  The Options class provides a convenient method of specifying where Editor should get the list of options for a `select`, `radio` or `checkbox` field.
SearchBuilderOptions
  The Options class provides a convenient method of specifying where Editor should get the list of options for a `select`, `radio` or `checkbox` field.
SearchPaneOptions
  The Options class provides a convenient method of specifying where Editor should get the list of options for a `select`, `radio` or `checkbox` field.
Upload
  Upload class for Editor. This class provides the ability to easily specify file upload information, specifically how the file should be recorded on the server (database and file system).
Validate
  Validation methods for DataTables Editor fields.
ValidateOptions
  Common validation options that can be specified for all validation methods.

## Search results